Bug 1418713 (CVE-2017-2603) - CVE-2017-2603 jenkins: User data leak in disconnected agents' config.xml API (SECURITY-362)
Summary: CVE-2017-2603 jenkins: User data leak in disconnected agents' config.xml API ...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-2603
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1856619
TreeView+ depends on / blocked
 
Reported: 2017-02-02 14:55 UTC by Andrej Nemec
Modified: 2021-02-17 02:40 UTC (History)
13 users (show)

Fixed In Version: jenkins 2.44, jenkins 2.32.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-14 13:27:42 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-02-02 14:55:52 UTC
The following flaw was found in Jenkins:

Agents that were disconnected by users contained the disconnecting user's User object in serialized form in the config.xml remote API output. This could leak sensitive data such as API tokens.

External References:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2017-02-01

Upstream patch:

https://github.com/jenkinsci/jenkins/commit/3cd946cbef82c6da5ccccf3890d0ae4e091c4265

Comment 1 Product Security DevOps Team 2020-07-14 13:27:42 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-2603


Note You need to log in before you can comment on or make changes to this bug.